Project

General

Profile

Bug #26702

Inconsistent naming of the --upgrade-mongo-storage-engine flag

Added by Evgeni Golov 6 months ago. Updated 6 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
foreman-installer script
Target version:
Difficulty:
trivial
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

The flag is called --upgrade-mongo-storage-engine, but the installer sometimes forgets the -engine:

% git grep mongo-storage
katello/hooks/boot/21-mongo_storage_engine.rb:  '--upgrade-mongo-storage-engine',
katello/hooks/pre/30-upgrade.rb:      logger.info 'To upgrade to WiredTiger at a later time run foreman-installer with the --upgrade-mongo-storage flag.'
katello/hooks/pre/30-upgrade.rb:        f << "# Added by foreman-installer during upgrade, run the installer with --upgrade-mongo-storage to upgrade to WiredTiger.\n" 
katello/hooks/pre/31-mongo_storage_engine.rb:  Kafo::Helpers.execute("sed -i -e 's/Added by foreman-installer during upgrade, run the installer with --upgrade-mongo-storage to upgrade to WiredTiger./Do not remove'/g #{hiera_file}")
katello/hooks/pre_validations/30-mongo_storage_engine.rb:    fail_and_exit 'Concurrent use of --upgrade and --upgrade-mongo-storage-engine is not supported. '\
katello/hooks/pre_validations/30-mongo_storage_engine.rb:                  'Please run --upgrade first, then --upgrade-mongo-storage-engine.'

Related issues

Related to Installer - Bug #27866: MongoDB storage engine upgrade does not properly update the hiera comment in all casesClosed

Associated revisions

Revision 60bca4c7 (diff)
Added by Evgeni Golov 6 months ago

Fixes #26702 - use ----upgrade-mongo-storage-engine everywhere

History

#1 Updated by The Foreman Bot 6 months ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/theforeman/foreman-installer/pull/349 added

#2 Updated by Ewoud Kohl van Wijngaarden 6 months ago

  • Triaged changed from No to Yes
  • Target version set to 1.23.0
  • Category set to foreman-installer script
  • Fixed in Releases 1.23.0 added

Should this be cherry picked into 1.22 now that it's still RC?

#3 Updated by Evgeni Golov 6 months ago

  • Status changed from Ready For Testing to Closed

#4 Updated by Evgeni Golov 6 months ago

  • Bugzilla link set to 1704806

#5 Updated by Evgeni Golov about 1 month ago

  • Related to Bug #27866: MongoDB storage engine upgrade does not properly update the hiera comment in all cases added

Also available in: Atom PDF